Index: Thuban/Model/load.py
===================================================================
RCS file: /thubanrepository/thuban/Thuban/Model/load.py,v
retrieving revision 1.52
diff -u -r1.52 load.py
--- Thuban/Model/load.py	13 Dec 2004 17:51:11 -0000	1.52
+++ Thuban/Model/load.py	24 Jan 2005 22:53:52 -0000
@@ -25,7 +25,7 @@
 from Thuban.Model.table import FIELDTYPE_INT, FIELDTYPE_DOUBLE, \
      FIELDTYPE_STRING
 
-from Thuban.Model.color import Color, Transparent
+from Thuban.Model.color import Color, Transparent, hex2Color
 
 from Thuban.Model.session import Session
 from Thuban.Model.map import Map
@@ -509,7 +509,17 @@
         filename = self.encode(filename)
         visible  = self.encode(attrs.get((None, 'visible'), "true")) != "false"
 
+        maskColor = attrs.get((None, 'mask_color'), None)
+        useMaskColor = self.encode(attrs.get((None, 'use_mask_color'), 
+                                   "false")) != "false"
+
         self.aLayer = layer_class(title, filename, visible = visible)
+
+        if maskColor is not None:
+            color = hex2Color(maskColor)
+            if color is not None:
+                self.aLayer.SetMaskColor(color)
+                self.aLayer.SetUseMask(useMaskColor)
 
     def end_rasterlayer(self, name, qname):
         self.aMap.AddLayer(self.aLayer)
